Subject: RE: bug#36237: Support (rx (and (regexp EXPR) (regexp-quote EXPR)))

From: Drew Adams <[email-masked]>
Date: Sun, 16 Jun 2019 13:25:00 -0700 (PDT)

> how far is this "ry" thing from being finished?

Please excuse this interruption from someone not
really following this thread.  Naive question:
Are you really thinking about using `ry' as the
user-visible name - e.g. as a replacement for,
or alternative to, `rx'?  (Until Noam posed that
question I was thinking it was tongue-in-cheek.)

I kinda hope not (but again, I'm ignorant of the
context).  If this is meant to stand for a regexp
thingie, and you want an alternative to `rx',
please try for something that suggests "regexp"
or "regular expression" - `rx2', `rex', `rgx',
`rg' ... - something suggestive.

(We've had 45+ years of `C' as the successor to
`B'.  Surely we can do better. ;-))